//
//  ThreadCreator.h
//  ThreadExample: a simple class that shows how to create threads
//
//  Created by Rene Hexel on 28/11/06.
//  Copyright 2006 Rene Hexel. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface ThreadCreator: NSObject
{
	NSLock		*lock;		// lock used for communication
	NSLock		*childRunning;	// locked while child is running
}

- init;
- (void) dealloc;

- startChild;
- waitForChild;
- print: (NSString *) output;
- childThread: parameter;

@end
