/*
 *	$Id: ThreadExample.m,v 1.1 2006/11/28 01:17:16 rh Exp $
 *
 * Simple NSThread example
 */
#import <Foundation/Foundation.h>
#import "ThreadCreator.h"

int main (int argc, const char *argv[])
{
	NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
	
	ThreadCreator *creator = [ThreadCreator new];

	[creator startChild];
	[creator print: @"Parent started child"];
	[NSThread sleepUntilDate: [[NSDate date] addTimeInterval: 3.0]];
	[creator print: @"Parent is done, waiting for child to exit!"];
	[creator waitForChild];
	[creator print: @"Parent has been informed that child has exited."];

	[creator release];
	[pool release];
	return 0;
}
